NX Open C++ Reference Guide
|
Base class for an NX part. More...
Classes | |
struct | HistoryEventInformation |
Contains part history event information. More... | |
struct | IncompleteStatus |
Incomplete part return data. More... | |
struct | TransientStatus |
Transient part return data. More... | |
Public Member Functions | |
NXOpen::GeometricAnalysis::AnalysisManager * | AnalysisManager () |
返回部件的几何分析管理器 Created in NX5.0.0. | |
NXOpen::ArcCollection * | Arcs () |
Returns the ArcCollection 属于本部分的实例 Created in NX3.0.0. | |
NXOpen::Assemblies::ProductOutlineManager * | Assemblies () |
Returns the NXOpen::Assemblies::ProductOutlineManager belonging to this session Created in NX6.0.0. | |
NXOpen::Assemblies::AssemblyManager * | AssemblyManager () |
Returns the NXOpen::Assemblies::AssemblyManager belonging to this session Created in NX6.0.0. | |
void | AssignPermanentName (const NXString &newFileName) |
用指定的名称保存临时部分. | |
void | AssignPermanentName (const char *newFileName) |
用指定的名称保存临时部分. | |
NXOpen::AxisCollection * | Axes () |
Returns the AxisCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Features::BaseFeatureCollection * | BaseFeatures () |
返回属于本部分的特征集合实例 Created in NX3.0.0. | |
NXOpen::Display::CameraCollection * | Cameras () |
Returns the Display.CameraCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::CAM::CAMFeatureCollection * | CAMFeatures () |
返回属于此部分的CAM特性集合实例 Created in NX7.5.0. | |
void | Close (NXOpen::BasePart::CloseWholeTree wholeTree, NXOpen::BasePart::CloseModified closeModified, NXOpen::PartCloseResponses *responses) |
关闭打开的部分. | |
NXOpen::ColorManager * | Colors () |
管理标准的NX颜色 Created in NX3.0.0. | |
void | CompleteStructure () |
为完成输入部分不完整的装配结构提供必要的补充 Created in NX4.0.0. | |
NXOpen::Assemblies::ComponentAssembly * | ComponentAssembly () |
返回组件组装 . | |
NXOpen::CoordinateSystemCollection * | CoordinateSystems () |
Returns the CoordinateSystemCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Display::DynamicSectionBuilder * | CreateDynamicSectionBuilder (bool loadFromView) |
Creates a Display::DynamicSectionBuilder 该基地的一部分必须是一个可显示的部分,否则将抛出一个异常. | |
NXOpen::EffectivityConditionBuilder * | CreateEffectivityConditionBuilder (NXOpen::CollaborativeDesign *cd, const NXString &effectivityFormula) |
Creates a EffectivityConditionBuilder. | |
NXOpen::EffectivityConditionBuilder * | CreateEffectivityConditionBuilder (NXOpen::CollaborativeDesign *cd, const char *effectivityFormula) |
Creates a EffectivityConditionBuilder. | |
NXOpen::EffectivityConditionBuilder * | CreateEffectivityConditionBuilder (NXOpen::CollaborativeDesign *cd, const NXString &validationBasisFormula, const NXString &effectivityFormula) |
Creates a EffectivityConditionBuilder with initializing validation basis formula. | |
NXOpen::EffectivityConditionBuilder * | CreateEffectivityConditionBuilder (NXOpen::CollaborativeDesign *cd, const char *validationBasisFormula, const char *effectivityFormula) |
Creates a EffectivityConditionBuilder with initializing validation basis formula. | |
NXOpen::Display::FacetSettingsBuilder * | CreateFacetSettingsBuilder () |
为小面设置对话框创建一个生成器. | |
NXOpen::GroupBuilder * | CreateGatewayGroupBuilder (NXOpen::Group *group) |
创建组生成器 . | |
NXOpen::Display::PerspectiveOptionsBuilder * | CreatePerspectiveOptionsBuilder () |
Creates a builder for the Perspective Options dialog. | |
NXOpen::ReferenceSet * | CreateReferenceSet () |
Creates a ReferenceSet object. | |
NXOpen::CurveCollection * | Curves () |
Returns the CurveCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::DatumCollection * | Datums () |
Returns the DatumCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Display::DecalCollection * | Decals () |
Returns the Display.DecalCollection instance belonging to this part Created in NX3.0.0. | |
void | DeleteReferenceSet (NXOpen::ReferenceSet *referenceSetObject) |
Deletes a ReferenceSet object Created in NX6.0.0. | |
NXOpen::Optimization::DesignStudyCollection * | DesignStudy () |
返回属于这一部分的设计研究实例 Created in NX3.0.0. | |
NXOpen::DirectionCollection * | Directions () |
Returns the DirectionCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Display::DynamicSectionCollection * | DynamicSections () |
Returns the Display.DynamicSectionCollection instance belonging to this part Created in NX6.0.0. | |
NXOpen::EllipseCollection * | Ellipses () |
Returns the EllipseCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::ExpressionCollection * | Expressions () |
Returns the ExpressionCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Fields::FieldManager * | FieldManager () |
返回字段主. | |
NXOpen::FontCollection * | Fonts () |
Returns the FontCollection instance belonging to this part Created in NX3.0.0. | |
NXString | FullPath () |
返回部件的完整路径. | |
NXOpen::CAE::FunctionCollection * | Functions () |
Returns the CAE.FunctionCollection for this part Created in NX5.0.0. | |
std::vector < NXOpen::ReferenceSet * > | GetAllReferenceSets () |
Get all the ReferenceSet objects in this part. | |
NXOpen::BasePart::CollaborativeContentType | GetCollaborativeContentType () |
The collaborative content type of this part. | |
std::vector < NXOpen::BasePart::HistoryEventInformation > | GetHistoryInformation () |
获得部件历史. | |
NXOpen::BasePart::IncompleteStatus | GetIncompleteStatus () |
询问提供的部件是否标记为不完整。. | |
NXString | GetMakeUniqueName () |
获取用于唯一化操作的部件上的唯一名称. | |
void | GetPreviewImage (int *width, int *height, std::vector< int > &pixels) |
获取预览图像,这将返回该部分的图形预览图像(可用时)). | |
NXOpen::BasePart::TransientStatus | GetTransientStatus () |
询问提供的部分是否被标记为暂时性的. | |
NXOpen::Display::GridCollection * | Grids () |
Returns the Display.GridCollection instance belonging to this part Created in NX6.0.0. | |
NXOpen::HyperbolaCollection * | Hyperbolas () |
Returns the HyperbolaCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Gateway::ImageCaptureManager * | ImageCaptureManager () |
Returns the Gateway.ImageCaptureManager instance belonging to this part Created in NX7.5.0. | |
NXOpen::Display::ImageCollection * | Images () |
Returns the Display.ImageCollection instance belonging to this part Created in NX9.0.0. | |
NXOpen::Display::ImageDataCollection * | ImagesData () |
Returns the Display.ImageDataCollection instance belonging to this part Created in NX9.0.0. | |
NXOpen::InfiniteLineCollection * | InfiniteLines () |
Returns the InfiniteLineCollection instance belonging to this part Created in NX7.5.0. | |
bool | IsFullyLoaded () |
返回部件的负载状态 | |
bool | IsReadOnly () |
返回部件的只读状态. | |
NXOpen::Layer::CategoryCollection * | LayerCategories () |
返回层类别的集合 Created in NX3.0.0. | |
NXOpen::Layer::LayerManager * | Layers () |
返回此部件的层管理器 Created in NX3.0.0. | |
NXOpen::LayoutCollection * | Layouts () |
Returns the LayoutCollection instance belonging to this part Created in NX3.0.0. | |
NXString | Leaf () |
返回该部件的叶子名称. | |
NXOpen::LightCollection * | Lights () |
Returns the LightCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::LineCollection * | Lines () |
Returns the LineCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::PartLoadStatus * | LoadFeatureDataForSelection () |
确保为部件加载特征数据 . | |
NXOpen::PartLoadStatus * | LoadFully () |
确保该部分已满负荷. | |
NXOpen::PartLoadStatus * | LoadThisPartFully () |
确保此部件已全部加载. | |
NXOpen::MaterialManager * | MaterialManager () |
Returns the Material Manager belonging to this Part Created in NX3.0.0. | |
NXOpen::MeasureManager * | MeasureManager () |
返回该部件的度量管理器 Created in NX3.0.0. | |
NXOpen::ModelingViewCollection * | ModelingViews () |
Returns the ModelingViewCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::NXMatrixCollection * | NXMatrices () |
Returns the NXMatrixCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::OffsetCollection * | Offsets () |
Returns the OffsetCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Optimization::OptimizationCollection * | Optimization () |
返回属于该部件的优化实例 Created in NX3.0.0. | |
NXOpen::ParabolaCollection * | Parabolas () |
Returns the抛物线ParabolaCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::BasePart::PartPreview | PartPreviewMode () |
返回预览模式 Created in NX3.0.0. | |
NXOpen::BasePart::Units | PartUnits () |
返回部件文件的单位. | |
NXOpen::PDM::PdmPart * | PDMPart () |
Returns the instance of the PDM.PdmPart class Created in NX3.0.0. | |
NXOpen::PlaneCollection * | Planes () |
返回一个平面集合 Created in NX3.0.0. | |
NXOpen::PlotManager * | PlotManager () |
Returns the PlotManager instance belonging to this part Created in NX3.0.0. | |
NXOpen::PointCollection * | Points () |
Returns the PointCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Preferences::PartPreferences * | Preferences () |
返回属于本部件的部件首选项实例 Created in NX3.0.0. | |
NXOpen::PropertiesManager * | PropertiesManager () |
Returns the PropertiesManager instance belonging to this part Created in NX8.0.0. | |
void | RegenerateDisplayFacets (bool regenerateChildren) |
再生显示特定的缓存方面的部件. | |
void | ReinstateTransience () |
将瞬态状态恢复到以前的瞬态输入部件 Created in NX4.0.0. | |
void | RemoveTransience () |
从输入部件移除暂态状态 Created in NX4.0.0. | |
NXOpen::BasePart * | Reopen (NXOpen::BasePart::CloseWholeTree wholeTree, NXOpen::BasePart::CloseModified closeModified, NXOpen::PartCloseResponses *responses, NXOpen::PartReopenReport **reopenReport) |
重新加载部件. | |
NXOpen::BasePart * | ReopenAs (const NXString &fileName, NXOpen::BasePart::CloseModified closeModified, NXOpen::PartCloseResponses *responses, NXOpen::PartReopenReport **reopenReport) |
Reopens a loaded part. | |
NXOpen::BasePart * | ReopenAs (const char *fileName, NXOpen::BasePart::CloseModified closeModified, NXOpen::PartCloseResponses *responses, NXOpen::PartReopenReport **reopenReport) |
Reopens a loaded part. | |
NXOpen::Validate::RequirementCheckCollection * | RequirementChecks () |
返回属于本部件的需求检查集合实例 Created in NX8.5.0. | |
NXOpen::Validate::RequirementCollection * | Requirements () |
返回属于本部件的需求收集实例 Created in NX8.5.0. | |
void | ReverseBlankAll () |
将该部分中的所有对象反向为空. | |
NXOpen::RuleManager * | RuleManager () |
返回此部分的规则管理器 Created in NX3.0.0. | |
NXOpen::PartSaveStatus * | Save (NXOpen::BasePart::SaveComponents saveComponentParts, NXOpen::BasePart::CloseAfterSave close) |
保存部件是否被修改 | |
NXOpen::PartSaveStatus * | SaveAs (const NXString &newFileName) |
创建目标部分的副本. | |
NXOpen::PartSaveStatus * | SaveAs (const char *newFileName) |
Creates copy of target part. | |
void | SaveBookmark (const NXString &fileName, NXOpen::BasePart::BookmarkOption option) |
保存书签文件 | |
void | SaveBookmark (const char *fileName, NXOpen::BasePart::BookmarkOption option) |
Saves a bookmark file. | |
bool | SaveDisplayFacets () |
返回显示质量刻面是否保存在部件文件中 Created in NX9.0.0. | |
NXOpen::PartSaveOptions * | SaveOptions () |
Returns the PartSaveOptions instance belonging to this part Created in NX3.0.0. | |
NXOpen::ScalarCollection * | Scalars () |
Returns the ScalarCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::ScCollectorCollection * | ScCollectors () |
Returns the ScCollectorCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::SectionCollection * | Sections () |
Returns the SectionCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::Display::SelPrefCollection * | SelPref () |
Returns the Display.SelPrefCollection instance belonging to this part Created in NX3.0.0. | |
void | SetMakeUniqueName (const NXString &newUniqueName) |
为惟一的操作设置部分的唯一名称 Created in NX8.0.0. | |
void | SetMakeUniqueName (const char *newUniqueName) |
Sets the unique name on part for the Make Unique operation Created in NX8.0.0. | |
void | SetPartPreviewMode (NXOpen::BasePart::PartPreview mode) |
设置预览模式 Created in NX3.0.0. | |
void | SetSaveDisplayFacets (bool saveDisplayFacets) |
设置显示质量刻面是否保存在部分文件中 Created in NX9.0.0. | |
void | SetUniqueIdentifier (const NXString &identifier) |
设置此部分的唯一标识符,用于确定部分是否可以在部分打开期间悄悄替换. | |
void | SetUniqueIdentifier (const char *identifier) |
Sets the unique identifier for this part used to determine whether parts can be quietly substituted during part open. | |
NXOpen::Display::TrueShadingCollection * | SHEDObjs () |
Returns the Display.TrueShadingCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::SplineCollection * | Splines () |
Returns the SplineCollection instance belonging to this part Created in NX5.0.0. | |
NXOpen::Display::TrueStudioCollection * | TrueStudioObjs () |
Returns the Display.TrueStudioCollection instance belonging to this part Created in NX8.0.0. | |
NXString | UniqueIdentifier () |
返回此部件的唯一标识符,用于确定部分是否可以在部分打开期间悄悄替换. | |
NXOpen::UnitCollection * | UnitCollection () |
返回一个元组的集合 Created in NX3.0.0. | |
NXOpen::UserDefinedObjects::UserDefinedObjectManager * | UserDefinedObjectManager () |
Returns the UserDefinedObjects::UserDefinedObjectManager belonging to this session Created in NX3.0.0. | |
NXOpen::ValidationCollection * | Validations () |
Returns the validation for this part Created in NX3.0.0. | |
NXOpen::ViewCollection * | Views () |
Returns the ViewCollection instance belonging to this part Created in NX3.0.0. | |
NXOpen::WCS * | WCS () |
Returns the WCS instance belonging to this part Created in NX3.0.0. | |
NXOpen::XformCollection * | Xforms () |
Returns the XformCollection instance belonging to this part Created in NX3.0.0. | |
![]() | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type) |
Deletes all attributes of a specific type. | |
void | DeleteAllAttributesByType (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes all attributes of a specific type with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title) |
Deletes an attribute by type and title. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const NXString &title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteAttributeByTypeAndTitle (NXOpen::NXObject::AttributeType type, const char *title, NXOpen::Update::Option option) |
Deletes an attribute by type and title with the option to update or not. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const NXString &title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttribute (NXOpen::NXObject::AttributeType type, const char *title, bool deleteEntireArray, NXOpen::Update::Option option) |
Deletes the first attribute encountered with the given Type, Title and Index. | |
void | DeleteUserAttributes (NXOpen::NXObject::AttributeType type, NXOpen::Update::Option option) |
Deletes the attributes encountered with the given Type with option to update or not. | |
virtual NXOpen::INXObject * | FindObject (const NXString &journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetAttributeTitlesByType (NXOpen::NXObject::AttributeType type) |
Gets all the attribute titles of a specific type. | |
bool | GetBooleanUserAttribute (const NXString &title, int index) |
Gets a boolean attribute by Title and array Index. | |
bool | GetBooleanUserAttribute (const char *title, int index) |
Gets a boolean attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::ComputationalTime | GetComputationalTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
int | GetIntegerAttribute (const NXString &title) |
Gets an integer attribute by title. | |
int | GetIntegerAttribute (const char *title) |
Gets an integer attribute by title. | |
int | GetIntegerUserAttribute (const NXString &title, int index) |
Gets an integer attribute by Title and array Index. | |
int | GetIntegerUserAttribute (const char *title, int index) |
Gets an integer attribute by Title and array Index. | |
double | GetRealAttribute (const NXString &title) |
Gets a real attribute by title. | |
double | GetRealAttribute (const char *title) |
Gets a real attribute by title. | |
double | GetRealUserAttribute (const NXString &title, int index) |
Gets a real attribute by Title and array Index. | |
double | GetRealUserAttribute (const char *title, int index) |
Gets a real attribute by Title and array Index. | |
NXString | GetReferenceAttribute (const NXString &title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetReferenceAttribute (const char *title) |
Gets the reference string (not the calculated value) of a string attribute that uses a reference string. | |
NXString | GetStringAttribute (const NXString &title) |
Gets a string attribute value by title. | |
NXString | GetStringAttribute (const char *title) |
Gets a string attribute value by title. | |
NXString | GetStringUserAttribute (const NXString &title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetStringUserAttribute (const char *title, int index) |
Gets a string attribute by Title and array Index. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const NXString &title) |
Gets a time attribute by title. | |
NXString | GetTimeAttribute (NXOpen::NXObject::DateAndTimeFormat format, const char *title) |
Gets a time attribute by title. | |
NXString | GetTimeUserAttribute (const NXString &title, int index) |
Gets a time attribute by Title and array Index. | |
NXString | GetTimeUserAttribute (const char *title, int index) |
Gets a time attribute by Title and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXOpen::NXObject::AttributeInformation | GetUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index. | |
NXString | GetUserAttributeAsString (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
NXString | GetUserAttributeAsString (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Gets the first attribute encountered on the object, if any, with a given title, type and array index. | |
bool | GetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
bool | GetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type) |
Determine the lock of the given attribute. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes () |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset) |
Gets all the attributes that have been set on the given object. | |
std::vector < NXOpen::NXObject::AttributeInformation > | GetUserAttributes (bool includeUnset, bool addStringValues) |
Gets all the attributes that have been set on the given object. | |
std::vector< NXString > | GetUserAttributesAsStrings () |
Gets all the attributes that have been set on the given object. | |
std::vector< NXOpen::NXObject * > | GetUserAttributeSourceObjects () |
Returns an array of objects from which this object presents attributes. | |
bool | HasUserAttribute (const NXString &title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
bool | HasUserAttribute (const char *title, NXOpen::NXObject::AttributeType type, int index) |
Determines if an attribute with the given Title, Type and array Index is present on the object If the attribute is not an array, the Index is ignored (if this is known beforehand, we recommend setting the Index to -1 to save time). | |
virtual bool | IsOccurrence () |
Returns whether this object is an occurrence or not. | |
virtual NXString | JournalIdentifier () |
Returns the identifier that would be recorded in a journal for this object. | |
virtual NXString | Name () |
Returns the custom name of the object. | |
virtual NXOpen::Assemblies::Component * | OwningComponent () |
Returns the owning component, if this object is an occurrence. | |
virtual NXOpen::BasePart * | OwningPart () |
Returns the owning part of this object Created in NX3.0.0. | |
virtual void | Print () |
Prints a representation of this object to the system log file. | |
virtual NXOpen::INXObject * | Prototype () |
Returns the prototype of this object if it is an occurrence. | |
void | SetAttribute (const NXString &title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const char *title, int value) |
Creates or modifies an integer attribute. | |
void | SetAttribute (const NXString &title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const char *title, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const char *title, double value) |
Creates or modifies a real attribute. | |
void | SetAttribute (const NXString &title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const char *title, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const char *title, const char *value) |
Creates or modifies a string attribute. | |
void | SetAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetAttribute (const NXString &title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const char *title) |
Creates or modifies a null attribute which is an attribute with a title and no value. | |
void | SetAttribute (const NXString &title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetAttribute (const char *title, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const NXString &title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
void | SetBooleanUserAttribute (const char *title, int index, bool value, NXOpen::Update::Option option) |
Creates or modifies a boolean attribute with the option to update or not. | |
virtual void | SetName (const NXString &name) |
Sets the custom name of the object. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const char *title, const char *value) |
Creates or modifies a string attribute which uses a reference string. | |
void | SetReferenceAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetReferenceAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute which uses a reference string, with the option to update or not. | |
void | SetTimeAttribute (const NXString &title, const NXString &value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const char *title, const char *value) |
Creates or modifies a time attribute. | |
void | SetTimeAttribute (const NXString &title, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeAttribute (const char *title, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const NXString &title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetTimeUserAttribute (const char *title, int index, const NXOpen::NXObject::ComputationalTime &value, NXOpen::Update::Option option) |
Creates or modifies a time attribute with the option to update or not. | |
void | SetUserAttribute (const NXOpen::NXObject::AttributeInformation &info, NXOpen::Update::Option option) |
Creates or modifies an attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, int value, NXOpen::Update::Option option) |
Creates or modifies an integer attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, double value, NXOpen::Update::Option option) |
Creates or modifies a real attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, const NXString &value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, const char *value, NXOpen::Update::Option option) |
Creates or modifies a string attribute with the option to update or not. | |
void | SetUserAttribute (const NXString &title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttribute (const char *title, int index, NXOpen::Update::Option option) |
Creates or modifies a null attribute with the option to update or not. | |
void | SetUserAttributeLock (const NXString &title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
void | SetUserAttributeLock (const char *title, NXOpen::NXObject::AttributeType type, bool lock) |
Lock or unlock the given attribute. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
![]() | |
NXOpen::INXObject * | FindObject (const char *journalIdentifier) |
Finds the NXObject with the given identifier as recorded in a journal. | |
void | SetName (const char *name) |
Sets the custom name of the object. | |
Base class for an NX part.
Use the NXOpen::PartCollection class to load or create a part. Use NXOpen::PartCollection::Work to obtain the current work part.
Created in NX4.0.0.
Controls the information written to a bookmark file.
For NX 9.0, do not use any of the last four values.
Indicates how part close should handle component parts when they are modified.
CloseModifiedUseResponses |
Use the responses in PartCloseResponses to determine whether to close a modified part or not. |
CloseModifiedCloseModified |
Close all modified parts. |
CloseModifiedDontCloseModified |
Do not close any modified parts. |
Represents the collaborative content type corresponding to this part.
CollaborativeContentTypeWorkset |
Workset. |
CollaborativeContentTypeSubset |
Subset. |
CollaborativeContentTypeShapeDesignElement |
Shape Design Part in a Workset. |
CollaborativeContentTypeNotAssigned |
Non-collaborative content such as items. |
NXOpen::GeometricAnalysis::AnalysisManager* NXOpen::BasePart::AnalysisManager | ( | ) |
Returns the GeometricAnalysisManager for part
Created in NX5.0.0.
NXOpen::ArcCollection* NXOpen::BasePart::Arcs | ( | ) |
Returns the ArcCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::Assemblies::ProductOutlineManager* NXOpen::BasePart::Assemblies | ( | ) |
Returns the NXOpen::Assemblies::ProductOutlineManager belonging to this session
Created in NX6.0.0.
NXOpen::Assemblies::AssemblyManager* NXOpen::BasePart::AssemblyManager | ( | ) |
Returns the NXOpen::Assemblies::AssemblyManager belonging to this session
Created in NX6.0.0.
void NXOpen::BasePart::AssignPermanentName | ( | const NXString & | newFileName | ) |
Saves a temporary part with the given name.
Created in NX5.0.0.
License requirements : None
newFileName | name of new part file to create NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::BasePart::AssignPermanentName | ( | const char * | newFileName | ) |
Saves a temporary part with the given name.
Created in NX5.0.0.
License requirements : None
newFileName | name of new part file to create NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::AxisCollection* NXOpen::BasePart::Axes | ( | ) |
Returns the AxisCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::Features::BaseFeatureCollection* NXOpen::BasePart::BaseFeatures | ( | ) |
Returns the FeatureCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::Display::CameraCollection* NXOpen::BasePart::Cameras | ( | ) |
Returns the Display.CameraCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::CAM::CAMFeatureCollection* NXOpen::BasePart::CAMFeatures | ( | ) |
Returns the CAMFeatureCollection instance belonging to this part
Created in NX7.5.0.
void NXOpen::BasePart::Close | ( | NXOpen::BasePart::CloseWholeTree | wholeTree, |
NXOpen::BasePart::CloseModified | closeModified, | ||
NXOpen::PartCloseResponses * | responses | ||
) |
Closes an open part.
Created in NX4.0.0.
License requirements : None
wholeTree | If true, unloads all components of the part. If false, unloads only the top-level part |
closeModified | Behavior of close if component parts are modified. |
responses | Class representing list of parts to close or leave open if modified. Only used if closed_modified is set to BasePart::CloseModifiedUseResponses . If BasePart::CloseModifiedUseResponses is set, then any parts that are candidates for being closed that are not in this list will be closed whether modified or not. See PartCloseResponses for how to add responses to this class. |
NXOpen::ColorManager* NXOpen::BasePart::Colors | ( | ) |
Manages the standard NX colors
Created in NX3.0.0.
void NXOpen::BasePart::CompleteStructure | ( | ) |
Make additions necessary to complete the incomplete assembly structure of the input part
Created in NX4.0.0.
License requirements : None
NXOpen::Assemblies::ComponentAssembly* NXOpen::BasePart::ComponentAssembly | ( | ) |
Returns the component assembly.
Created in NX3.0.0.
License requirements : None
NXOpen::CoordinateSystemCollection* NXOpen::BasePart::CoordinateSystems | ( | ) |
Returns the CoordinateSystemCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::Display::DynamicSectionBuilder* NXOpen::BasePart::CreateDynamicSectionBuilder | ( | bool | loadFromView | ) |
Creates a Display::DynamicSectionBuilder The base part must be a displayable part, otherwise an exception will be thrown.
<br> By default, the section builder uses the current work view. The current work view must be a modeling view, otherwise an exception will be thrown. <br> @return
Created in NX5.0.0.
License requirements : None
loadFromView | If true, reads section information from working view. Otherwise, default section is created. |
NXOpen::EffectivityConditionBuilder* NXOpen::BasePart::CreateEffectivityConditionBuilder | ( | NXOpen::CollaborativeDesign * | cd, |
const NXString & | effectivityFormula | ||
) |
Creates a EffectivityConditionBuilder.
cd | cd |
effectivityFormula | effectivityformula |
NXOpen::EffectivityConditionBuilder* NXOpen::BasePart::CreateEffectivityConditionBuilder | ( | NXOpen::CollaborativeDesign * | cd, |
const char * | effectivityFormula | ||
) |
Creates a EffectivityConditionBuilder.
cd | cd |
effectivityFormula | effectivityformula |
NXOpen::EffectivityConditionBuilder* NXOpen::BasePart::CreateEffectivityConditionBuilder | ( | NXOpen::CollaborativeDesign * | cd, |
const NXString & | validationBasisFormula, | ||
const NXString & | effectivityFormula | ||
) |
Creates a EffectivityConditionBuilder with initializing validation basis formula.
cd | cd |
validationBasisFormula | validationbasisformula |
effectivityFormula | effectivityformula |
NXOpen::EffectivityConditionBuilder* NXOpen::BasePart::CreateEffectivityConditionBuilder | ( | NXOpen::CollaborativeDesign * | cd, |
const char * | validationBasisFormula, | ||
const char * | effectivityFormula | ||
) |
Creates a EffectivityConditionBuilder with initializing validation basis formula.
cd | cd |
validationBasisFormula | validationbasisformula |
effectivityFormula | effectivityformula |
NXOpen::Display::FacetSettingsBuilder* NXOpen::BasePart::CreateFacetSettingsBuilder | ( | ) |
Creates a builder for the Facet Settings dialog.
NXOpen::GroupBuilder* NXOpen::BasePart::CreateGatewayGroupBuilder | ( | NXOpen::Group * | group | ) |
Creates a Groups builder.
group | group |
NXOpen::Display::PerspectiveOptionsBuilder* NXOpen::BasePart::CreatePerspectiveOptionsBuilder | ( | ) |
Creates a builder for the Perspective Options dialog.
NXOpen::ReferenceSet* NXOpen::BasePart::CreateReferenceSet | ( | ) |
Creates a ReferenceSet object.
NXOpen::CurveCollection* NXOpen::BasePart::Curves | ( | ) |
Returns the CurveCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::DatumCollection* NXOpen::BasePart::Datums | ( | ) |
Returns the DatumCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::Display::DecalCollection* NXOpen::BasePart::Decals | ( | ) |
Returns the Display.DecalCollection instance belonging to this part
Created in NX3.0.0.
void NXOpen::BasePart::DeleteReferenceSet | ( | NXOpen::ReferenceSet * | referenceSetObject | ) |
Deletes a ReferenceSet object
Created in NX6.0.0.
License requirements : None
referenceSetObject | Reference set object to be deleted |
NXOpen::Optimization::DesignStudyCollection* NXOpen::BasePart::DesignStudy | ( | ) |
Returns the design study instance belonging to this part
Created in NX3.0.0.
NXOpen::DirectionCollection* NXOpen::BasePart::Directions | ( | ) |
Returns the DirectionCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::Display::DynamicSectionCollection* NXOpen::BasePart::DynamicSections | ( | ) |
Returns the Display.DynamicSectionCollection instance belonging to this part
Created in NX6.0.0.
NXOpen::EllipseCollection* NXOpen::BasePart::Ellipses | ( | ) |
Returns the EllipseCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::ExpressionCollection* NXOpen::BasePart::Expressions | ( | ) |
Returns the ExpressionCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::Fields::FieldManager* NXOpen::BasePart::FieldManager | ( | ) |
Returns the field main.
Created in NX4.0.0.
License requirements : None
NXOpen::FontCollection* NXOpen::BasePart::Fonts | ( | ) |
Returns the FontCollection instance belonging to this part
Created in NX3.0.0.
NXString NXOpen::BasePart::FullPath | ( | ) |
Returns the full path of the part.
When called in a managed environment, this will give the same value as BasePart::Leaf .
Created in NX3.0.0.
License requirements : None
NXOpen::CAE::FunctionCollection* NXOpen::BasePart::Functions | ( | ) |
Returns the CAE.FunctionCollection for this part
Created in NX5.0.0.
std::vector<NXOpen::ReferenceSet *> NXOpen::BasePart::GetAllReferenceSets | ( | ) |
Get all the ReferenceSet objects in this part.
Does not include the default reference sets Empty and Entire Part.
NXOpen::BasePart::CollaborativeContentType NXOpen::BasePart::GetCollaborativeContentType | ( | ) |
The collaborative content type of this part.
It will return BasePart::CollaborativeContentType::NotAssigned for the part that does not represent any collaborative content.
std::vector<NXOpen::BasePart::HistoryEventInformation> NXOpen::BasePart::GetHistoryInformation | ( | ) |
Get history of part.
NXOpen::BasePart::IncompleteStatus NXOpen::BasePart::GetIncompleteStatus | ( | ) |
Inquire whether the provided part is flagged as being incomplete.
NXString NXOpen::BasePart::GetMakeUniqueName | ( | ) |
Gets the Unique name on a part for the Make Unique operation.
void NXOpen::BasePart::GetPreviewImage | ( | int * | width, |
int * | height, | ||
std::vector< int > & | pixels | ||
) |
Get the preview image This will return the graphic preview image of the part (when available).
The call returns the image width and height and a single array of integer RGB pixels. The total number of pixels is width * height. Each 32 bit integer pixel contains 8 bit values for the red, green and blue color components and the alpha channel is not used and set to 255. The byte order corresponds to the .NET method System.Drawing.Color.FromArgb, so the order is ARGB. For Java the byte order and data corresponds to the BufferedImage type TYPE_INT_RGB. The pixels at an xy location can be found as (y*width+x) where x is from 0 to width-1, and y indexes from 0 to height-1. The RGB pixels can be loaded into an appropriate image tool such as the Java BufferedImage class for display.
Note: this will return the modeling preview image only.
Created in NX5.0.2.
License requirements : None
width | image width |
height | image height |
pixels | Array of pixels |
NXOpen::BasePart::TransientStatus NXOpen::BasePart::GetTransientStatus | ( | ) |
Inquire whether the provided part is flagged as being transient.
NXOpen::Display::GridCollection* NXOpen::BasePart::Grids | ( | ) |
Returns the Display.GridCollection instance belonging to this part
Created in NX6.0.0.
NXOpen::HyperbolaCollection* NXOpen::BasePart::Hyperbolas | ( | ) |
Returns the HyperbolaCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::Gateway::ImageCaptureManager* NXOpen::BasePart::ImageCaptureManager | ( | ) |
Returns the Gateway.ImageCaptureManager instance belonging to this part
Created in NX7.5.0.
NXOpen::Display::ImageCollection* NXOpen::BasePart::Images | ( | ) |
Returns the Display.ImageCollection instance belonging to this part
Created in NX9.0.0.
NXOpen::Display::ImageDataCollection* NXOpen::BasePart::ImagesData | ( | ) |
Returns the Display.ImageDataCollection instance belonging to this part
Created in NX9.0.0.
NXOpen::InfiniteLineCollection* NXOpen::BasePart::InfiniteLines | ( | ) |
Returns the InfiniteLineCollection instance belonging to this part
Created in NX7.5.0.
bool NXOpen::BasePart::IsFullyLoaded | ( | ) |
Returns the load status of a part.
Set to true if part is fully loaded and set to false if the part is partially loaded.
Created in NX3.0.0.
License requirements : None
bool NXOpen::BasePart::IsReadOnly | ( | ) |
Returns the read-only status of a part.
Set to true if part is read-only and set to false if the part is modifiable.
Created in NX5.0.2.
License requirements : None
NXOpen::Layer::CategoryCollection* NXOpen::BasePart::LayerCategories | ( | ) |
Returns a collection of layer categories
Created in NX3.0.0.
NXOpen::Layer::LayerManager* NXOpen::BasePart::Layers | ( | ) |
Returns the LayerManager for this part
Created in NX3.0.0.
NXOpen::LayoutCollection* NXOpen::BasePart::Layouts | ( | ) |
Returns the LayoutCollection instance belonging to this part
Created in NX3.0.0.
NXString NXOpen::BasePart::Leaf | ( | ) |
Returns the leaf name of the part.
When called in a managed environment, this will give the Item ID and Revision (prior to NX8.5 this method only returned the Item ID).
Created in NX3.0.0.
License requirements : None
NXOpen::LightCollection* NXOpen::BasePart::Lights | ( | ) |
Returns the LightCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::LineCollection* NXOpen::BasePart::Lines | ( | ) |
Returns the LineCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::PartLoadStatus* NXOpen::BasePart::LoadFeatureDataForSelection | ( | ) |
Ensure that feature data is loaded for a part.
NXOpen::PartLoadStatus* NXOpen::BasePart::LoadFully | ( | ) |
Ensures that this part is fully loaded.
If the part is already fully loaded (BasePart::IsFullyLoaded returns true) then this method has no effect.
NXOpen::PartLoadStatus* NXOpen::BasePart::LoadThisPartFully | ( | ) |
Ensures that this part is fully loaded.
If the part is already fully loaded (BasePart::IsFullyLoaded returns true) then this method has no effect. Does not load any components regardless of the current load option.
NXOpen::MaterialManager* NXOpen::BasePart::MaterialManager | ( | ) |
NXOpen::MeasureManager* NXOpen::BasePart::MeasureManager | ( | ) |
Returns the measure manager for this part
Created in NX3.0.0.
NXOpen::ModelingViewCollection* NXOpen::BasePart::ModelingViews | ( | ) |
Returns the ModelingViewCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::NXMatrixCollection* NXOpen::BasePart::NXMatrices | ( | ) |
Returns the NXMatrixCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::OffsetCollection* NXOpen::BasePart::Offsets | ( | ) |
Returns the OffsetCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::Optimization::OptimizationCollection* NXOpen::BasePart::Optimization | ( | ) |
Returns the optimization instance belonging to this part
Created in NX3.0.0.
NXOpen::ParabolaCollection* NXOpen::BasePart::Parabolas | ( | ) |
Returns the ParabolaCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::BasePart::PartPreview NXOpen::BasePart::PartPreviewMode | ( | ) |
Returns the preview mode
Created in NX3.0.0.
License requirements : None
NXOpen::BasePart::Units NXOpen::BasePart::PartUnits | ( | ) |
Returns the units of the part file.
Created in NX3.0.0.
License requirements : None
NXOpen::PDM::PdmPart* NXOpen::BasePart::PDMPart | ( | ) |
Returns the instance of the PDM.PdmPart class
Created in NX3.0.0.
NXOpen::PlaneCollection* NXOpen::BasePart::Planes | ( | ) |
Return a collection of Planes
Created in NX3.0.0.
NXOpen::PlotManager* NXOpen::BasePart::PlotManager | ( | ) |
Returns the PlotManager instance belonging to this part
Created in NX3.0.0.
NXOpen::PointCollection* NXOpen::BasePart::Points | ( | ) |
Returns the PointCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::Preferences::PartPreferences* NXOpen::BasePart::Preferences | ( | ) |
Returns the PartPreferences instance belonging to this part
Created in NX3.0.0.
NXOpen::PropertiesManager* NXOpen::BasePart::PropertiesManager | ( | ) |
Returns the PropertiesManager instance belonging to this part
Created in NX8.0.0.
void NXOpen::BasePart::RegenerateDisplayFacets | ( | bool | regenerateChildren | ) |
Regenerates display specific cached facets in the part.
Created in NX9.0.0.
License requirements : None
regenerateChildren | Should the children of this part have their cached display facets regenerated also |
void NXOpen::BasePart::ReinstateTransience | ( | ) |
Reinstate the transient status to the formerly transient input part
Created in NX4.0.0.
License requirements : None
void NXOpen::BasePart::RemoveTransience | ( | ) |
Remove the transient status from the input part
Created in NX4.0.0.
License requirements : None
NXOpen::BasePart* NXOpen::BasePart::Reopen | ( | NXOpen::BasePart::CloseWholeTree | wholeTree, |
NXOpen::BasePart::CloseModified | closeModified, | ||
NXOpen::PartCloseResponses * | responses, | ||
NXOpen::PartReopenReport ** | reopenReport | ||
) |
Reopens a loaded part.
wholeTree | If true, unloads all components of the part. If false, unloads only the top-level part |
closeModified | Behavior of close if component parts are modified. |
responses | Class representing list of parts to close or leave open if modified. Only used if closed_modified is set to BasePart::CloseModifiedUseResponses . If BasePart::CloseModifiedUseResponses is set, then any parts that are candidates for being closed that are not in this list will be closed whether modified or not. See PartCloseResponses for how to add responses to this class. |
reopenReport | Report containing results of reopen command |
NXOpen::BasePart* NXOpen::BasePart::ReopenAs | ( | const NXString & | fileName, |
NXOpen::BasePart::CloseModified | closeModified, | ||
NXOpen::PartCloseResponses * | responses, | ||
NXOpen::PartReopenReport ** | reopenReport | ||
) |
Reopens a loaded part.
fileName | name of part file to open NOTE: The full Unicode character set is not supported for this parameter. |
closeModified | Behavior of close if component parts are modified. |
responses | Class representing list of parts to close or leave open if modified. Only used if closed_modified is set to BasePart::CloseModifiedUseResponses . If BasePart::CloseModifiedUseResponses is set, then any parts that are candidates for being closed that are not in this list will be closed whether modified or not. See PartCloseResponses for how to add responses to this class. |
reopenReport | Report containing results of reopen command |
NXOpen::BasePart* NXOpen::BasePart::ReopenAs | ( | const char * | fileName, |
NXOpen::BasePart::CloseModified | closeModified, | ||
NXOpen::PartCloseResponses * | responses, | ||
NXOpen::PartReopenReport ** | reopenReport | ||
) |
Reopens a loaded part.
fileName | name of part file to open NOTE: The full Unicode character set is not supported for this parameter. |
closeModified | Behavior of close if component parts are modified. |
responses | Class representing list of parts to close or leave open if modified. Only used if closed_modified is set to BasePart::CloseModifiedUseResponses . If BasePart::CloseModifiedUseResponses is set, then any parts that are candidates for being closed that are not in this list will be closed whether modified or not. See PartCloseResponses for how to add responses to this class. |
reopenReport | Report containing results of reopen command |
NXOpen::Validate::RequirementCheckCollection* NXOpen::BasePart::RequirementChecks | ( | ) |
Returns the RequirementCheckCollection instance belonging to this part
Created in NX8.5.0.
NXOpen::Validate::RequirementCollection* NXOpen::BasePart::Requirements | ( | ) |
Returns the RequirementCollection instance belonging to this part
Created in NX8.5.0.
void NXOpen::BasePart::ReverseBlankAll | ( | ) |
Reverse blank all the objects in the part.
Created in NX4.0.0.
License requirements : None
NXOpen::RuleManager* NXOpen::BasePart::RuleManager | ( | ) |
Returns the rule manager for this part
Created in NX3.0.0.
NXOpen::PartSaveStatus* NXOpen::BasePart::Save | ( | NXOpen::BasePart::SaveComponents | saveComponentParts, |
NXOpen::BasePart::CloseAfterSave | close | ||
) |
Saves the part whether it is modified or not.
saveComponentParts | The part's components are saved if modified if this parameter is set to BasePart::SaveComponentsTrue . |
close | The part is closed if this parameter is set to BasePart::CloseAfterSaveTrue . |
NXOpen::PartSaveStatus* NXOpen::BasePart::SaveAs | ( | const NXString & | newFileName | ) |
Creates copy of target part.
newFileName | name of new part file to create NOTE: The full Unicode character set is not supported for this parameter. |
NXOpen::PartSaveStatus* NXOpen::BasePart::SaveAs | ( | const char * | newFileName | ) |
Creates copy of target part.
newFileName | name of new part file to create NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::BasePart::SaveBookmark | ( | const NXString & | fileName, |
NXOpen::BasePart::BookmarkOption | option | ||
) |
Saves a bookmark file.
Created in NX4.0.0.
License requirements : None
fileName | Name of bookmark file. NOTE: The full Unicode character set is not supported for this parameter. |
option | See definitions of <ja_type>BasePart.BookmarkOption</ja_type> |
void NXOpen::BasePart::SaveBookmark | ( | const char * | fileName, |
NXOpen::BasePart::BookmarkOption | option | ||
) |
Saves a bookmark file.
Created in NX4.0.0.
License requirements : None
fileName | Name of bookmark file. NOTE: The full Unicode character set is not supported for this parameter. |
option | See definitions of <ja_type>BasePart.BookmarkOption</ja_type> |
bool NXOpen::BasePart::SaveDisplayFacets | ( | ) |
Returns whether display quality facets are saved in the part file
Created in NX9.0.0.
License requirements : None
NXOpen::PartSaveOptions* NXOpen::BasePart::SaveOptions | ( | ) |
Returns the PartSaveOptions instance belonging to this part
Created in NX3.0.0.
NXOpen::ScalarCollection* NXOpen::BasePart::Scalars | ( | ) |
Returns the ScalarCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::ScCollectorCollection* NXOpen::BasePart::ScCollectors | ( | ) |
Returns the ScCollectorCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::SectionCollection* NXOpen::BasePart::Sections | ( | ) |
Returns the SectionCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::Display::SelPrefCollection* NXOpen::BasePart::SelPref | ( | ) |
Returns the Display.SelPrefCollection instance belonging to this part
Created in NX3.0.0.
void NXOpen::BasePart::SetMakeUniqueName | ( | const NXString & | newUniqueName | ) |
Sets the unique name on part for the Make Unique operation
Created in NX8.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
newUniqueName | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::BasePart::SetMakeUniqueName | ( | const char * | newUniqueName | ) |
Sets the unique name on part for the Make Unique operation
Created in NX8.0.0.
License requirements : assemblies ("ASSEMBLIES MODULE")
newUniqueName | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::BasePart::SetPartPreviewMode | ( | NXOpen::BasePart::PartPreview | mode | ) |
Sets the preview mode
Created in NX3.0.0.
License requirements : None
mode | mode |
void NXOpen::BasePart::SetSaveDisplayFacets | ( | bool | saveDisplayFacets | ) |
Sets whether display quality facets are saved in the part file
Created in NX9.0.0.
License requirements : None
saveDisplayFacets | savedisplayfacets |
void NXOpen::BasePart::SetUniqueIdentifier | ( | const NXString & | identifier | ) |
Sets the unique identifier for this part used to determine whether parts can be quietly substituted during part open.
When set if the input value is the empty string a new unqiue uid is allocated for the part otherwise the supplied uid is used.
Created in NX6.0.5.
License requirements : None
identifier | identifier |
void NXOpen::BasePart::SetUniqueIdentifier | ( | const char * | identifier | ) |
Sets the unique identifier for this part used to determine whether parts can be quietly substituted during part open.
When set if the input value is the empty string a new unqiue uid is allocated for the part otherwise the supplied uid is used.
Created in NX6.0.5.
License requirements : None
identifier | identifier |
NXOpen::Display::TrueShadingCollection* NXOpen::BasePart::SHEDObjs | ( | ) |
Returns the Display.TrueShadingCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::SplineCollection* NXOpen::BasePart::Splines | ( | ) |
Returns the SplineCollection instance belonging to this part
Created in NX5.0.0.
NXOpen::Display::TrueStudioCollection* NXOpen::BasePart::TrueStudioObjs | ( | ) |
Returns the Display.TrueStudioCollection instance belonging to this part
Created in NX8.0.0.
NXString NXOpen::BasePart::UniqueIdentifier | ( | ) |
Returns the unique identifier for this part used to determine whether parts can be quietly substituted during part open.
When set if the input value is the empty string a new unqiue uid is allocated for the part otherwise the supplied uid is used.
Created in NX6.0.5.
License requirements : None
NXOpen::UnitCollection* NXOpen::BasePart::UnitCollection | ( | ) |
Returns a collection of Units
Created in NX3.0.0.
NXOpen::UserDefinedObjects::UserDefinedObjectManager* NXOpen::BasePart::UserDefinedObjectManager | ( | ) |
Returns the UserDefinedObjects::UserDefinedObjectManager belonging to this session
Created in NX3.0.0.
NXOpen::ValidationCollection* NXOpen::BasePart::Validations | ( | ) |
Returns the validation for this part
Created in NX3.0.0.
NXOpen::ViewCollection* NXOpen::BasePart::Views | ( | ) |
Returns the ViewCollection instance belonging to this part
Created in NX3.0.0.
NXOpen::WCS* NXOpen::BasePart::WCS | ( | ) |
Returns the WCS instance belonging to this part
Created in NX3.0.0.
NXOpen::XformCollection* NXOpen::BasePart::Xforms | ( | ) |
Returns the XformCollection instance belonging to this part
Created in NX3.0.0.